APT-CONFIG(8)

NAME
apt-config - Programa para la consulta de configuración de APT

SYNOPSIS

apt-config [ -hv ] [ -o=cadena de configuración ] [ -c=fichero ] { shell | dump }

DESCRIPCIóN

apt-config es un programa interno usado por varios programas del conjunto de herramientas APT para proporcionar una configurabilidad coherente.Este accede al archivo principal de configuración /etc/apt/apt.conf de forma que sea fácil de usar por scripts.

A menos que se incluya la opción -h o --help, una de de los siguientes órdenes debe estar presente.

shell
    shell se usa para acceder a la información de configuración de un fichero de órdenes (shell script). Este proporciona 2 argumentos, el primero es una variable del intérprete de órdenes, y el segundo el valor de configuración para la petición. Como salida muestra una serie de listas de órdenes asignados al intérprete de órdenes por cada valor presente. En un fichero de órdenes, este debería usarse como:

    OPTS="-f"
    RES=`apt-config shell OPTS MyApp::Options`
    eval $RES

    Esto debería fijar la variable de entorno del intérprete de órdenes $OPTS al valor deMyApp::Opciones, con un valor por omisión de -f.

    El elemento de configuración podría ser corregido después con /[fdbi]. f devuelve nombres de ficheros, d devuelve los directorios, b devuelve verdadero o falso e i devuelve un número entero. Cada uno de los valores devueltos es normalizado y verificado internamente.

dump
    Sólo muestra el contenido del espacio de configuración.

OPCIONES

Todas las opciones de línea de órdenes pueden ser especificadas mediante el fichero de configuración, en la descripción de cada opción se indica la opción de configuración que hay que modificar. Para opciones booleanas puedes modificar el fichero de configuración usando cosas parecidas a -f-,--no-f, -f=no y alguna que otra variante.

-h

--help
    Muestra un breve resumen del modo de uso.

-v

--version
    Muestra la versión del programa.

-c

--config-file
    Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración por omisión y luego este otro. Lea apt.conf(5) para más información acerca de la sintaxis.

-o

--option
    Establece una opción de configuración. La sintaxis es -o Foo::Bar=bar.

VEA ADEMáS

apt.conf(5)

DIAGNóSTICOS

apt-config devuelve el valor cero en una operación normal, 100 si ocurre un error.

FALLOS

Vea la página de fallos de APT <URL:http://bugs.debian.org/src:apt>. Si desea avisar de un fallo en APT, vea /usr/share/doc/debian/bug-reporting.txt o la orden reportbug(1).

AUTOR

APT fue escrito por el equipo de APT <apt@packages.debian.org>.

TRADUCTOR

Traducción de Carlos Mestre <debian-l10n-spanish@lists.debian.org>